Showroom Mobile Banking - Feature #11870
Homepage
11 August 2021 11:38 AM - Hoo Dextor

Status: Closed Start date: 11 August 2021
Priority: Normal Due date:

Assignee: Hoo Dextor % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

Homepage and side menu

Refer to share doc:
https://docs.google.com/document/d/1SURgs_nwxf5msjx--WycQNt0ci9yek2y/edit?usp=sharing&ouid=115813082199103439613&rtp
of=true&sd=true

and android app.

Kindly record the ws name for BE.

History

#1 - 17 August 2021 01:13 AM - Megat AhmadSalehudin
- Status changed from Assigned to Resolved
- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r210979 | ahmadsalehudin | 2021-08-12 21:13:08 MYT

Changed paths:

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_transaction_history_icon_inactive.svg
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/timeline_view_request_details.png
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home/.DS_Store

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/login-main/login-main.htmi

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/product-segment/product-segment.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home/home.scss

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_logout_icon.png

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home/home.html

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_accounts_icon_inactive.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_fund_transfer_icon.svg

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/i18n/en.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_split_bills_icon.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/deals-assets

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home/side-menu.scss

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/shared/local_json/deals-for-you.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_transaction_history_icon.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_card_management_icon.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_app_settings_icon.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/deals-assets/dealsforyou04.png

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/theme/style.scss

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_payment_icon.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/deals-assets/dealsforyou01.png

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home/home.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home/home.module.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home/side-menu.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home/side-menu.module.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/account_details_fixed_deposit.png
M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/app-routing.module.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/login2_apply_product_icon_inactive.svg
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_accounts_icon.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/login2_qr_pay_icon.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_home_icon.png

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/login-main/login-main.ts
https://docs.google.com/document/d/1SURgs_nwxf5msjx--WycQNt0ci9yek2y/edit?usp=sharing&ouid=115813082199103439613&rtpof=true&sd=true
https://docs.google.com/document/d/1SURgs_nwxf5msjx--WycQNt0ci9yek2y/edit?usp=sharing&ouid=115813082199103439613&rtpof=true&sd=true

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/deer.png

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/deals-assets/dealsforyou03.png

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/deals-assets/dealsforyou02.png

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/product-segment/product-segment.html

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_top_up_icon.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/shared/animation

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/login2_pfm_icon.svg

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/assets/imgs/ic_hamburger_menu_icon.png

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/home/side-menu.html

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/ge-ug-base-i5/src/app/shared/animation/modalTransitionAnimations.ts

Megat - Commit for homepage

Possible webservices called:
1. retrieveUiUxMainMenu
2. retrieveAccountSummary

2. processUserChatlnput
3. uiuxPayBillGetAllBiller

#2 - 11 January 2022 06:58 PM - Megat AhmadSalehudin
- Status changed from Resolved to Pending SIT

Released v1.0.0.1 SIT

#3 - 11 March 2022 09:24 AM - Hoo Dextor
- Status changed from Pending SIT to Closed
